Retrieve marketers with performance statistics for a Primary Account
/reports/accounts/{primaryAccountId}/marketersAuthorization
obToken Token obtained from the Obtain a token endpoint or the Amplify API token page. Valid for 30 days.
In: header
Path Parameters
Primary Account id. account.salesForceAccountId from Marketer Entity.
Query Parameters
Limit to data of the marketers with the given IDs.
Start day Date
End day Date
Number of results to return in this request. Used with offset for pagination. default is 10.
Result number to start this response at. zero based. Used with limit for pagination. default is 0.
Can have one of the following values impressions, clicks, ctr, spend, ecpc, conversions, conversionRate, cpa, name, enabled, creativeFormat, budgetStartDate, budgetEndDate and budgetAmount . For more details about reports filtering read this.
Can have the following values impressions, clicks, ctr, spend, ecpc, conversions, conversionRate, cpa, name, enabled, creativeFormat, budgetStartDate, budgetEndDate, budgetAmount, budgetType, budgetShared and pacingType. For more details about reports filtering read this.
Report conversion metrics by click or conversion date, default false (report by conversion date).
Response Body
application/json
curl -X GET "https://example.com/reports/accounts/abf4b02153ee75f3cadc4fc128ab0419ab/marketers?marketerId=e75f3cadc4fc128ab0419ababf4b02153e%2C+0069fc0fe9598f99b4c528f0881cd74b4b&from=2015-12-22&to=2016-01-20&limit=10&offset=3&sort=-ctr&filter=clicks%2Bgt%2B99&conversionsByClickDate=true"{ "results": [ { "metadata": { "id": "mock-id-0001", "name": "Mock Marketer Alpha", "identifier": "11111111", "status": "ACTIVE" }, "metrics": { "impressions": 227635064, "clicks": 417487, "totalConversions": 0, "conversions": 0, "viewConversions": 0, "spend": 165958.65, "ecpc": 0.398, "ctr": 0.18, "dstFeeCost": 0, "cpm": 0.73, "conversionRate": 0, "viewConversionRate": 0, "cpa": 0, "totalCpa": 0, "totalSumValue": 0, "sumValue": 0, "viewSumValue": 0, "totalAverageValue": 0, "averageValue": 0, "viewAverageValue": 0, "totalRoas": 0, "roas": 0, "videoReachedFirstQ": 0, "videoReachedSecondQ": 0, "videoReachedThirdQ": 0, "videoReachedCompletion": 0, "videoViewDuration": 0, "videoAvgViewDuration": 0, "videoPlays": 0, "clicksOnVideo": 0, "videoActiveCompletions": 0, "videoActiveCompletionsPercentage": 0, "appleSKAdNetworkConversions": 0, "appleSKAdNetworkRedownload0": 0, "appleSKAdNetworkRedownload1": 0, "appleSKAdNetworkConversionValue": 0, "appleSKAdNetworkConversionAverageValue": 0 } }, { "metadata": { "id": "mock-id-0002", "name": "Mock Marketer Beta", "identifier": "22222222", "status": "INACTIVE" }, "metrics": { "impressions": 16368480, "clicks": 23389, "totalConversions": 0, "conversions": 0, "viewConversions": 0, "spend": 8591.07, "ecpc": 0.367, "ctr": 0.14, "dstFeeCost": 0, "cpm": 0.52, "conversionRate": 0, "viewConversionRate": 0, "cpa": 0, "totalCpa": 0, "totalSumValue": 0, "sumValue": 0, "viewSumValue": 0, "totalAverageValue": 0, "averageValue": 0, "viewAverageValue": 0, "totalRoas": 0, "roas": 0, "videoReachedFirstQ": 0, "videoReachedSecondQ": 0, "videoReachedThirdQ": 0, "videoReachedCompletion": 0, "videoViewDuration": 0, "videoAvgViewDuration": 0, "videoPlays": 0, "clicksOnVideo": 0, "videoActiveCompletions": 0, "videoActiveCompletionsPercentage": 0, "appleSKAdNetworkConversions": 0, "appleSKAdNetworkRedownload0": 0, "appleSKAdNetworkRedownload1": 0, "appleSKAdNetworkConversionValue": 0, "appleSKAdNetworkConversionAverageValue": 0 } }, { "metadata": { "id": "mock-id-0003", "name": "Mock Marketer Gamma", "identifier": "33333333", "status": "INACTIVE" }, "metrics": { "impressions": 0, "clicks": 0, "totalConversions": 0, "conversions": 0, "viewConversions": 0, "spend": 0, "ecpc": 0, "ctr": 0, "dstFeeCost": 0, "cpm": 0, "conversionRate": 0, "viewConversionRate": 0, "cpa": 0, "totalCpa": 0, "totalSumValue": 0, "sumValue": 0, "viewSumValue": 0, "totalAverageValue": 0, "averageValue": 0, "viewAverageValue": 0, "totalRoas": 0, "roas": 0, "videoReachedFirstQ": 0, "videoReachedSecondQ": 0, "videoReachedThirdQ": 0, "videoReachedCompletion": 0, "videoViewDuration": 0, "videoAvgViewDuration": 0, "videoPlays": 0, "clicksOnVideo": 0, "videoActiveCompletions": 0, "videoActiveCompletionsPercentage": 0, "appleSKAdNetworkConversions": 0, "appleSKAdNetworkRedownload0": 0, "appleSKAdNetworkRedownload1": 0, "appleSKAdNetworkConversionValue": 0, "appleSKAdNetworkConversionAverageValue": 0 } } ], "totalResults": 3, "summary": { "impressions": 244003544, "clicks": 440876, "totalConversions": 0, "conversions": 0, "viewConversions": 0, "spend": 174549.72, "ecpc": 0.396, "ctr": 0.18, "dstFeeCost": 0, "cpm": 0.72, "conversionRate": 0, "viewConversionRate": 0, "cpa": 0, "totalCpa": 0, "totalSumValue": 0, "sumValue": 0, "viewSumValue": 0, "totalAverageValue": 0, "averageValue": 0, "viewAverageValue": 0, "totalRoas": 0, "roas": 0, "videoReachedFirstQ": 0, "videoReachedSecondQ": 0, "videoReachedThirdQ": 0, "videoReachedCompletion": 0, "videoViewDuration": 0, "videoAvgViewDuration": 0, "videoPlays": 0, "clicksOnVideo": 0, "videoActiveCompletions": 0, "videoActiveCompletionsPercentage": 0, "appleSKAdNetworkConversions": 0, "appleSKAdNetworkRedownload0": 0, "appleSKAdNetworkRedownload1": 0, "appleSKAdNetworkConversionValue": 0, "appleSKAdNetworkConversionAverageValue": 0 }}